Redmine - Defect #12334

Wiki export to PDF broken format
2012-11-09 06:45 - Long Nguyen Hai

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Long Nguyen Hai % Done: 10%
Category: PDF export Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 2.0.2
Description

When exporting ticket to PDF,

Some national characters are broken. Probably bad support for UTF-8 or maybe PDF convertor doesn't use appropriate font with full

UTF-8 support.

Most of hyperlinks are disabled , so we couldn’t view relevant documents.

A unexpected column is added in left.

Information:

- ruby 1.9.3p194
- Rails 3.2.5

- rubygem 1.8.24
- Redmine 2.0.2

Related issues:

Related to Redmine - Defect #11927: Vietnamese Unicode charater broken when e... Closed

History

#1 - 2012-11-09 06:47 - Long Nguyen Hai
- File Redmine_pdf.PNG added
- File Table_of _content.png added

#2 - 2012-11-09 21:44 - Jun NAITOH
Please see #10688 and #9842.

#3 - 2012-11-11 17:42 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution deleted (Cant reproduce)

Long Nguyen Hai wrote:

Some national characters are broken. Probably bad support for UTF-8 or maybe PDF convertor doesn't use appropriate font with full UTF-8

support.

Attachment PDF seems Vietnamese.
See #11927.

#4 - 2012-11-11 17:42 - Toshi MARUYAMA

- Resolution set to Duplicate

#5 - 2012-11-12 04:35 - Long Nguyen Hai
- File Redmine_Wiki.PNG added
- File Redmine_PDF.PNG added

Thanks for help!

| have just fix some bug, But Wiki export something wrong: Document link, Column

Redmine_Wiki.PNG
https://www.redmine.org/issues/10688
https://www.redmine.org/issues/9842
https://www.redmine.org/issues/11927

Redmine_PDF.PNG

#6 - 2012-11-12 04:36 - Long Nguyen Hai

- Status changed from Closed to Reopened

#7 - 2012-11-12 04:45 - Toshi MARUYAMA
- Status changed from Reopened to Closed

- Resolution changed from Duplicate to Cant reproduce

| cannot reproduce.

If you have note-5 bug without any plugins,
please create new issue.

This issues has many matters.

#8 - 2012-11-12 04:49 - Toshi MARUYAMA

And please update Redmine to 2.0.4 or 2.1.2.
2.0.2 has defect #10688.

#9 - 2012-11-12 04:50 - Toshi MARUYAMA

- Resolution changed from Cant reproduce to Duplicate

Files

Redmine.PNG 64.5 KB 2012-11-09 Long Nguyen Hai
Redmine_pdf.PNG 112 KB 2012-11-09 Long Nguyen Hai
Table_of _content.png 93.4 KB 2012-11-09 Long Nguyen Hai
Redmine_Wiki.PNG 37.6 KB 2012-11-12 Long Nguyen Hai
Redmine_PDF.PNG 55.9 KB 2012-11-12 Long Nguyen Hai
https://www.redmine.org/issues/10688
http://www.tcpdf.org

